<!-- -------------------- ./deb/debug1.html -------------------- -->

<html>
<head>
<title>debug</title>
</head>
<body bgcolor='#ffffff'>
<h1><?php echo $this->MSG; ?></h1>

GET variables :
<ul>
<?php
foreach($_GET as $key => $val )  {
 if ( is_array($val) ) {
  echo "$key => ARRAY<br>\n";
  echo "<ul>\n";
  while ( list( $subkey, $subval ) = each( $val ) ) {
   echo "$subkey => $subval <br>\n";
  }
  echo "</ul>\n";
 } else {
  echo "$key => $val <br>\n";
 }
}
?>
</ul>
<hr>

POST variables :
<ul>
<?php
foreach($_POST as $key => $val )  {
 if ( is_array($val) ) {
  echo "$key => ARRAY<br>\n";
  echo "<ul>\n";
  while ( list( $subkey, $subval ) = each( $val ) ) {
   echo "  $subkey => $subval <br>\n";
  }
  echo "</ul>\n";
 } else {
   echo "$key => $val<br> \n";
 }
}
?>
</ul>
<hr>

COOKIE variables :
<ul>
<?php
foreach($_COOKIE as $key => $val )  {
 if ( is_array($val) ) {
  echo "$key => ARRAY<br>\n";
  echo "<ul>\n";
  while ( list( $subkey, $subval ) = each( $val ) ) {
   echo "  $subkey => $subval <br>\n";
  }
  echo "</ul>\n";
 } else {
  echo "$key => $val <br>\n";
 }
}
?>
</ul>
<hr>

SESSION variables :
<ul>
<?php
@session_start();
foreach($_SESSION as $key => $val )  {
 if ( is_array($val) ) {
  echo "$key => ARRAY<br>\n";
  echo "<ul>\n";
  while ( list( $subkey, $subval ) = each( $val ) ) {
   echo "  $subkey => $subval <br>\n";
  }
  echo "</ul>\n";
 } else {
  echo "$key => $val <br>\n";
 }
}
?>
</ul>
<hr>

ENV variables :
<ul>
<?php
foreach($_ENV as $key => $val )  {
 echo "$key => $val <br>";
}
?>
</ul>
<hr>

SERVER variables :
<ul>
<?php
foreach($_SERVER as $key => $val )  {
 echo "$key => $val <br>";
}
?>
</ul>
<hr>

</body>
</html>
